%define modname gnupg
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A50_%{modname}.ini

Summary:	A wrapper around the gpgme library for PHP
Name:		php-%{modname}
Version:	1.3.2
Release:	%mkrel 9
Group:		Development/PHP
License:	BSD
URL:		http://pecl.php.net/package/gnupg/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		gnupg-1.3.2-php-5.4.patch
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	gpgme-devel

%description
This extension provides methods to interact with gnupg.

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p1
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

export CFLAGS="$CFLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

# antibork
perl -pi -e "s|^GNUPG_SHARED_LIBADD = .*|GNUPG_SHARED_LIBADD = -lgpgme|g" Makefile

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests LICENSE README package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 1.3.2-9.mga3
+ Revision: 393265
- rebuilt for php-5.4.11

* Sun Jan 13 2013 fwang <fwang> 1.3.2-8.mga3
+ Revision: 376123
- patch to build with php 5.4

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.3.2-7.mga2
+ Revision: 223898
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1.3.2-6.mga2
+ Revision: 185269
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 1.3.2-5.mga1
+ Revision: 47941
- removed buildroot definition from .spec
- imported package php-gnupg

